from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDOMImplementation(XInterface, Protocol):
    def hasFeature(self, feature: str, ver: str) -> bool: ...
